Skip to main content
Resource Center/Hardware/Physical Network Operations

ChangeHostNetworkInterfaceLldpMode

ChangeHostNetworkInterfaceLldpMode

PUT/zstack/v1/hostNetworkInterface/lldp/actions

Operation ID

ChangeHostNetworkInterfaceLldpMode

Since

5.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • interfaceUuid
    ListRequired

    The physical NIC port UUID.

  • mode
    String

    Optional. The lldp mode.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • inventory
    ListRequired

    See inventrois.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • uuid
    StringRequired

    The resource UUID.

  • interfaceUuid
    StringRequired

    The physical NIC port UUID.

  • mode
    StringRequired

    The LLDP mode.

  • createDate
    TimestampRequired

    The creation time.

  • lastOpDate
    TimestampRequired

    The last operation time.

  • lldp
    HostNetworkInterfaceLldpRefInventoryRequired

    See lldp

  • lldpUuid
    StringRequired

    The LLDP UUID.

  • chassisId
    StringRequired

    The chassis ID.

  • timeToLive
    IntegerRequired

    The time to live.

  • managementAddress
    StringRequired

    Manage address.

  • systemName
    StringRequired

    The systerm name.

  • systemDescription
    StringRequired

    The system description。

  • systemCapabilities
    StringRequired

    The system capabilities.

  • portId
    StringRequired

    The port ID.

  • portDescription
    StringRequired

    The port description.

  • vlanId
    IntegerRequired

    The VLAN ID.

  • aggregationPortId
    LongRequired

    The aggregation port ID

  • mtu
    IntegerRequired

    The maximum transmission unit.

  • createDate
    TimestampRequired

    The creation date.

  • lastOpDate
    TimestampRequired

    The last operation date.

  • Change Time

    AddedResponse fields aggregationPortId, chassisId, createDate...
    View API